org.apache.ignite.internal.processors.cacheobject

## Class NoOpBinary

- java.lang.Object
- - org.apache.ignite.internal.processors.cacheobject.NoOpBinary

All Implemented Interfaces:
  IgniteBinary

    public class NoOpBinary
    extends Object
    implements IgniteBinary

### Constructor Summary

Constructors
Constructor and Description
`NoOpBinary()`

### Method Summary

Methods
`BinaryObject` `buildEnum(String typeName, int ord)` Create enum object.
`BinaryObjectBuilder` `builder(BinaryObject binaryObj)` Creates binary builder initialized by existing binary object.
`BinaryObjectBuilder` `builder(String typeName)` Creates new binary builder.
`<T> T` `toBinary(Object obj)` Converts provided object to instance of `BinaryObject`.
`BinaryType` `type(Class<?> cls)` Gets metadata for provided class.
`BinaryType` `type(int typeId)` Gets metadata for provided type ID.
`BinaryType` `type(String typeName)` Gets metadata for provided class name.
`int` `typeId(String typeName)` Gets type ID for given type name.
`Collection<BinaryType>` `types()` Gets metadata for all known types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpBinary

    public NoOpBinary()

### Method Detail

#### typeId

    public int typeId(String typeName)

Gets type ID for given type name.

Specified by:
  `typeId` in interface `IgniteBinary`
Parameters:
  `typeName` - Type name.
Returns:
  Type ID.

#### toBinary

    public <T> T toBinary(@Nullable
                 Object obj)
               throws BinaryObjectException

Converts provided object to instance of `BinaryObject`.

Specified by:
  `toBinary` in interface `IgniteBinary`
Parameters:
  `obj` - Object to convert.
Returns:
  Converted object.
Throws:
  `BinaryObjectException` - In case of error.

#### builder

    public BinaryObjectBuilder builder(String typeName)
                                throws BinaryObjectException

Creates new binary builder.

Specified by:
  `builder` in interface `IgniteBinary`
Parameters:
  `typeName` - Type name.
Returns:
  Newly binary builder.
Throws:
  `BinaryObjectException`

#### builder

    public BinaryObjectBuilder builder(BinaryObject binaryObj)
                                throws BinaryObjectException

Creates binary builder initialized by existing binary object.

Specified by:
  `builder` in interface `IgniteBinary`
Parameters:
  `binaryObj` - Binary object to initialize builder.
Returns:
  Binary builder.
Throws:
  `BinaryObjectException`

#### type

    public BinaryType type(Class<?> cls)
                    throws BinaryObjectException

Gets metadata for provided class.

Specified by:
  `type` in interface `IgniteBinary`
Parameters:
  `cls` - Class.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### type

    public BinaryType type(String typeName)
                    throws BinaryObjectException

Gets metadata for provided class name.

Specified by:
  `type` in interface `IgniteBinary`
Parameters:
  `typeName` - Type name.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### type

    public BinaryType type(int typeId)
                    throws BinaryObjectException

Gets metadata for provided type ID.

Specified by:
  `type` in interface `IgniteBinary`
Parameters:
  `typeId` - Type ID.
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### types

    public Collection<BinaryType> types()
                                 throws BinaryObjectException

Gets metadata for all known types.

Specified by:
  `types` in interface `IgniteBinary`
Returns:
  Metadata.
Throws:
  `BinaryObjectException` - In case of error.

#### buildEnum

    public BinaryObject buildEnum(String typeName,
                         int ord)

Create enum object.

Specified by:
  `buildEnum` in interface `IgniteBinary`
Parameters:
  `typeName` - Type name.
  `ord` - Ordinal.
Returns:
  Enum object.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015